<?php
/**
 * Dynamic CSS
 */
function charitable_funds_dynamic_css() {
	$charitable_funds_primary_color = get_theme_mod( 'charitable_funds_primary_color', '#FE8802' );
	$charitable_funds_secondary_color = get_theme_mod( 'charitable_funds_secondary_color', '#2E164E' );

	$charitable_funds_site_title_font       = get_theme_mod( 'charitable_funds_site_title_font', 'Sora' );
	$charitable_funds_site_description_font = get_theme_mod( 'charitable_funds_site_description_font', 'Sora' );
	$charitable_funds_header_font           = get_theme_mod( 'charitable_funds_header_font', 'Sora' );
	$charitable_funds_content_font          = get_theme_mod( 'charitable_funds_content_font', 'Sora' );

	// Enqueue Google Fonts
	$charitable_funds_fonts_url = charitable_funds_get_fonts_url();
	if ( ! empty( $charitable_funds_fonts_url ) ) {
		wp_enqueue_style( 'charitable-funds-google-fonts', esc_url( $charitable_funds_fonts_url ), array(), null );
	}

	$charitable_funds_custom_css  = '';
	$charitable_funds_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $charitable_funds_primary_color ) . ';
		--secondary-color: ' . esc_attr( $charitable_funds_secondary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$charitable_funds_custom_css .= '
    /* Typography */
    :root {
        --font-main: "' . esc_attr( $charitable_funds_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $charitable_funds_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $charitable_funds_content_font ) . '", sans-serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .banner-text {
        font-family: "' . esc_attr( $charitable_funds_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $charitable_funds_site_description_font ) . '", sans-serif !important;
	}
    ';

	wp_add_inline_style( 'charitable-funds-style', $charitable_funds_custom_css );
}
add_action( 'wp_enqueue_scripts', 'charitable_funds_dynamic_css', 99 );